Paytopia LIST A COIN Refunded


tan625747
Gender: Unknown
Country: Unknown
Threads: 1, Posts: 6
#0

Refund Reason

 

 

Unable to compile wallet obj/walletdb.o: In function `copy_file': /usr/include/boost/filesystem/operations.hpp:381: undefined reference to `boost::filesystem::detail::copy_file(boost::filesystem::path const&, boost::filesystem::path const&, boost::filesystem::copy_option, boost::system::error_code*)' collect2: error: ld returned 1 exit status make: *** [LiZid] Error 1

 

 

but not issue on my linux

https://github.com/shouhuas/LiZi



Posted: 6/3/2017 3:25:29 PM Edited: 6/8/2017 9:36:24 AM
Hex
Gender: Unknown
Country: Unknown
Threads: 198, Posts: 403
#1

Is your linux hosting the site wallets? No? Well ok then.



Posted: 6/4/2017 2:46:36 AM
tan625747
Gender: Unknown
Country: Unknown
Threads: 1, Posts: 6
#2

Is your linux hosting the site wallets? No? Well ok then.

Hex: 6/4/2017 2:46:36 AM

 

 

Yes,my linux had  hosting the  wallet



Posted: 6/4/2017 11:27:18 AM
SeriousFace
Gender: Unknown
Country: Unknown
Threads: 2, Posts: 12
#3

We spent about 30 minutes trying to figure out how to compile your wallet with various libraries and versions of boost, even resorting to googling the issue and trying what was suggested by other people having the same problem. We came to the conslusion that you must be using depencies that are obsolete - if you can write some installation instructions that work, we would be happy to try again.



Posted: 6/6/2017 4:26:58 AM
tan625747
Gender: Unknown
Country: Unknown
Threads: 1, Posts: 6
#4

We spent about 30 minutes trying to figure out how to compile your wallet with various libraries and versions of boost, even resorting to googling the issue and trying what was suggested by other people having the same problem. We came to the conslusion that you must be using depencies that are obsolete - if you can write some installation instructions that work, we would be happy to try again.

SeriousFace: 6/6/2017 4:26:58 AM

 

 

can you tell  me  what is your linux version and  boost version?



Posted: 6/8/2017 6:05:01 AM
freshuser
Gender: Unknown
Country: Unknown
Threads: 3, Posts: 17
#5

You may be having a syntax error when adding new nodes. . . You can copy Pastebin paste a copy of net.cpp here ??

 

Cheers

 

*Wallet.cpp too



Posted: 6/8/2017 9:25:28 AM Edited: 6/8/2017 9:41:39 AM
tan625747
Gender: Unknown
Country: Unknown
Threads: 1, Posts: 6
#6

You may be having a syntax error when adding new nodes. . . You can copy Pastebin paste a copy of net.cpp here ??

 

Cheers

freshuser: 6/8/2017 9:25:28 AM
https://github.com/shouhuas/LiZi/blob/master/src/net.cpp
https://github.com/shouhuas/LiZi/blob/master/src/wallet.cpp 


Posted: 6/8/2017 9:29:20 AM Edited: 6/8/2017 1:43:44 PM
SeriousFace
Gender: Unknown
Country: Unknown
Threads: 2, Posts: 12
#7

can you tell  me  what is your linux version and  boost version?

tan625747: 6/8/2017 6:05:01 AM

 

not other than they're all up to date, and every other wallet on the site works on that distro



Posted: 6/8/2017 9:38:33 PM
tan625747
Gender: Unknown
Country: Unknown
Threads: 1, Posts: 6
#8

# boost-1.55 has a bug where building with C++11 causes undefined references to
# copy_file. This is fixed in boost-1.57 and backported to 1.56. This workaround
# can be removed once boost is upgraded.

https://cryptocurrencytalk.com/topic/83819-problem-compiling-gridcoin-for-raspberry-pi/



Posted: 6/9/2017 6:59:10 AM Edited: 6/9/2017 7:00:14 AM